<template>
	<view class="improve-mission-list-page">
		<scroll-view class="scroll-y" scroll-y="true">
			<list-item
				v-for="(item, i) in improvingTaskList"
				:key="item.id"
				:task="item"
			/>
			<list-item
        v-for="(item, i) in completeTaskList"
        :key="item.id"
        :task="item"
        :isComplete="true"
			/>
			<tm-no-data v-if="completeTaskList.length === 0 && improvingTaskList.length === 0"
				:textArr="['暂时没有内容可以展示哦', '请返回上一页面或尝试刷新页面']" />
		</scroll-view>
	</view>
</template>

<script>
  // 改善列表
  import listItem from '../mission/components/list-item.vue';
	export default {
		data() {
			return {
      	// 改善中任务
				improvingTaskList: [],
				// 历史任务
				completeTaskList: []
			}
    },
    onLoad({ situationId }){ // situationId：情景id
      this.getMissionList({situationId});
    },
		methods: {
    	// 获取改善任务列表
			getMissionList(data) {
				this.$store.dispatch({
					type: 'mission/commActions',
					payload: {
						key: "getMissionList",
						data
					}
				}).then(data => {
					if(data) {
						this.improvingTaskList = data.improvingTaskResponses || [];
						this.completeTaskList = data.improveCompleteResponses || [];
					}
				});
				/** 请求参数 data
				 * situationId: 情境id 当管路员或者查核者通过情境进入任务列表时 必传
				 * checkItemId 单位负责人通过 查核要点进入改善任务列表时 必传
				 */
			},
    },
    components: {
			listItem
		},
	}
</script>

<style lang="less">
  .improve-mission-list-page {
    height: 100%;
    padding-top: 15rpx;

    .scroll-y {
      height: 100%;
    }
  }
</style>
